package dk.nsp.idsas.dao.entity;

import java.time.Instant;
import java.time.OffsetDateTime;
import java.util.Objects;

public class OrgBlurringEntity {
    private String organisationId;
    private String organisationIdType;
    private String creatorCvr;
    private Instant validFrom;
    private Instant validTo;
    private OffsetDateTime createdDate;

    public OrgBlurringEntity() {
    }

    public OrgBlurringEntity(String organisationId, String organisationIdType, String creatorCvr, Instant validFrom, Instant validTo, OffsetDateTime createdDate) {
        this.organisationId = organisationId;
        this.organisationIdType = organisationIdType;
        this.creatorCvr = creatorCvr;
        this.validFrom = validFrom;
        this.validTo = validTo;
        this.createdDate = createdDate;
    }

    public String getOrganisationId() {
        return organisationId;
    }

    public void setOrganisationId(String organisationId) {
        this.organisationId = organisationId;
    }

    public String getOrganisationIdType() {
        return organisationIdType;
    }

    public void setOrganisationIdType(String organisationIdType) {
        this.organisationIdType = organisationIdType;
    }

    public String getCreatorCvr() {
        return creatorCvr;
    }

    public void setCreatorCvr(String creatorCvr) {
        this.creatorCvr = creatorCvr;
    }

    public Instant getValidFrom() {
        return validFrom;
    }

    public void setValidFrom(Instant validFrom) {
        this.validFrom = validFrom;
    }

    public Instant getValidTo() {
        return validTo;
    }

    public void setValidTo(Instant validTo) {
        this.validTo = validTo;
    }

    public OffsetDateTime getCreatedDate() {
        return createdDate;
    }

    public void setCreatedDate(OffsetDateTime createdDate) {
        this.createdDate = createdDate;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        OrgBlurringEntity that = (OrgBlurringEntity) o;
        return Objects.equals(organisationId, that.organisationId) && Objects.equals(organisationIdType, that.organisationIdType) && Objects.equals(creatorCvr, that.creatorCvr) && Objects.equals(validFrom, that.validFrom) && Objects.equals(validTo, that.validTo);
    }

    @Override
    public int hashCode() {
        return Objects.hash(organisationId, organisationIdType, creatorCvr, validFrom, validTo);
    }
}